<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activity_doris"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    tools:context=".activityDoris">

    <androidx.cardview.widget.CardView
        android:id="@+id/cardviewDorisOben"
        android:layout_width="match_parent"
        android:layout_height="210dp"
        android:layout_marginStart="10dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="10dp"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="4dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <RadioGroup
                android:id="@+id/radiogroupEssen"
                android:layout_width="0dp"
                android:layout_height="195dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="7dp"
                android:text="@string/blutdruck"
                android:textColor="@color/black"
                android:textSize="23sp"
                app:layout_constraintEnd_toStartOf="@+id/buttonTablette"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <RadioButton
                    android:id="@+id/doris_fruehstueck"
                    android:layout_width="wrap_content"
                    android:layout_height="50dp"
                    android:text="@string/fruehstueck"
                    android:textSize="20sp" />

                <RadioButton
                    android:id="@+id/doris_mittagessen"
                    android:layout_width="wrap_content"
                    android:layout_height="50dp"
                    android:layout_marginTop="20dp"
                    android:text="@string/mittagessen"
                    android:textSize="20sp" />

                <RadioButton
                    android:id="@+id/doris_abendessen"
                    android:layout_width="wrap_content"
                    android:layout_height="50dp"
                    android:layout_marginTop="20dp"
                    android:text="@string/abendessen"
                    android:textSize="20sp" />
            </RadioGroup>

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/buttonTablette"
                android:layout_width="0dp"
                android:layout_height="90dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="20dp"
                android:background="@drawable/button_text_color"
                android:enabled="true"
                android:text="Tablette"
                android:textColor="@color/white"
                android:textSize="20sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/radiogroupEssen"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="DuplicateSpeakableTextCheck,SpeakableTextPresentCheck" />

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/buttonSendEssen"
                android:layout_width="0dp"
                android:layout_height="90dp"
                android:layout_marginEnd="20dp"
                android:background="@drawable/button_text_color"
                android:enabled="true"
                android:textColor="@color/white"
                android:text="@string/absenden"
                android:textSize="20sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0.0"
                app:layout_constraintStart_toEndOf="@+id/radiogroupEssen"
                app:layout_constraintTop_toBottomOf="@+id/buttonTablette"
                tools:ignore="DuplicateSpeakableTextCheck,SpeakableTextPresentCheck" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.cardview.widget.CardView>


    <androidx.cardview.widget.CardView
        android:id="@+id/cardviewDorisUnten"
        android:layout_width="match_parent"
        android:layout_height="220dp"
        android:layout_marginStart="10dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="10dp"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="4dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cardviewDorisOben"

        >

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/zeitFiebertemp"
                android:layout_width="0dp"
                android:layout_height="90dp"
                android:layout_marginTop="15dp"
                android:layout_marginEnd="20dp"
                android:background="@drawable/button_ww"
                android:enabled="false"
                android:textColor="@color/white"
                android:textSize="30sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/checkFiebertemp"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="SpeakableTextPresentCheck" />

            <TextView
                android:id="@+id/tvFiebertemp"
                android:layout_width="0dp"
                android:layout_height="60dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="30dp"
                android:enabled="false"
                android:gravity="center"
                android:text="@string/fiebertemp"
                android:textColor="@color/black"
                android:textSize="25sp"
                app:layout_constraintEnd_toStartOf="@+id/textFiebertemp"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/checkFiebertemp" />

            <EditText
                android:id="@+id/textFiebertemp"
                android:layout_width="0dp"
                android:layout_height="80dp"
                android:layout_marginStart="20dp"
                android:layout_marginTop="20dp"
                android:layout_marginEnd="20dp"
                android:autofillHints="140"
                android:backgroundTint="@color/dark_grey"
                android:ems="10"
                android:enabled="false"
                android:hint="@string/_35"
                android:inputType="phone"
                android:textColor="@color/black"
                android:textColorHint="@color/dark_grey"
                android:textSize="30sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/tvFiebertemp"
                app:layout_constraintTop_toBottomOf="@+id/checkFiebertemp"
                tools:ignore="TextContrastCheck" />

            <CheckBox
                android:id="@+id/checkFiebertemp"
                android:layout_width="0dp"
                android:layout_height="90dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="15dp"
                android:text="@string/fiebertemp"
                android:textColor="@color/black"
                android:textSize="23sp"
                app:layout_constraintEnd_toStartOf="@+id/zeitFiebertemp"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.cardview.widget.CardView>

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonSend"
        android:layout_width="0dp"
        android:layout_height="80dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="20dp"
        android:background="@drawable/button_text_color"
        android:text="@string/absenden"
        android:textColor="@color/white"
        android:textSize="20sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cardviewDorisUnten"
        tools:ignore="TextContrastCheck" />

</androidx.constraintlayout.widget.ConstraintLayout>